# Opções para a linha de comandos

Você poderá configurar as preferências do Logisim através de opções da linha de comando. Isso pode ser particularmente útil em um laboratório de computadores onde você queira que o Logisim inicie sempre da mesma forma para todos os alunos, independente da forma como tenham sido usados e configurados anteriormente.

A sintaxe de linha de comando-geral é a seguinte.

    java-jar  jarFileName     [opções]   [nomes]

Os arquivos adicionais cujos nomes estiverem chamados na linha de comando serão abertos em janelas separadas dentro do Logisim.

O exemplo a seguir iniciará Logisim em sua configuração básica.

    java-jar  jarFileName    -plain -gates shaped -locale en

As opções oferecidas incluem:

`-plain`
`-empty`
`-template templateFile`

  E servem para configurar o gabarito para o Logisim usar.

`-gates [ shaped | rectangular ]`

  Serve para configura que tipo de portas será usado.

`locale LocaleIdentifier`

  Serve para configurar o idioma para o uso. Assim como este documento, os idiomas disponíveis são:

  `de` Alemão
  `en` Inglês
  `es` Espanhol
  `pt` Português (Brasil)
  `ru` Russo |

`-accents [ yes | no ]`

  Esse é apenas relevante para as línguas que usam caracteres fora do conjunto de caracteres ASCII de 7 bits, o que inclui idiomas com caracteres acentuados, e não seria o caso do Inglês. Se no, os caracteres fora do conjunto de caracteres ASCII de 7 bits serão substituídos por equivalentes adequados à linguagem; isso seria útil para as combinações Java/SO onde esses caracteres também não forem disponíveis.

`-nosplash`

  Serve para ocultar a tela de apresentação inicial do Logisim.

`-help`

  Serve para exibir um resumo das opções de linha de comando.

`-version`

  Serve para exibir o número da versão do Logisim.

Next: User's Guide.